*{
  margin:0;
  padding:0;
  box-sizing:border-box;
  font-family:Arial, Helvetica, sans-serif;
}

body{
  min-height:100vh;
  display:flex;
  flex-direction:column;
  align-items:center;
  transition:0.3s;
}

body.dark{
  background:#111;
  color:white;
}

body.light{
  background:#f2f2f2;
  color:#111;
}

header{
  margin-top:20px;
  text-align:center;
}

h1{
  margin-bottom:15px;
}

.controls{
  display:flex;
  gap:10px;
  flex-wrap:wrap;
  justify-content:center;
  margin-bottom:15px;
}

button, select{
  padding:10px;
  border:none;
  border-radius:8px;
  cursor:pointer;
  font-size:15px;
}

body.dark button,
body.dark select{
  background:#222;
  color:white;
}

body.light button,
body.light select{
  background:white;
  color:black;
}

.scoreboard{
  display:flex;
  gap:30px;
  justify-content:center;
  margin-bottom:20px;
  font-size:18px;
  font-weight:bold;
}

#board{
  width:640px;
  height:640px;
  display:grid;
  grid-template-columns:repeat(8,1fr);
  border:4px solid #333;
}

.square{
  width:80px;
  height:80px;
  display:flex;
  justify-content:center;
  align-items:center;
  font-size:48px;
  cursor:pointer;
  user-select:none;
  position:relative;
  transition:0.2s;
}

.white{
  background:#f0d9b5;
}

.black{
  background:#b58863;
}

/* COR DAS PEÇAS */

.white-piece{
  color:white;
  text-shadow:
    0 0 2px #000,
    0 0 4px #000,
    0 0 6px #000;
}

.black-piece{
  color:black;
  text-shadow:
    0 0 2px #fff,
    0 0 4px #fff;
}

/* PEÇA SELECIONADA */

.selected{
  outline:4px solid yellow;
  z-index:2;
}

/* MOVIMENTOS POSSÍVEIS */

.possible::after{
  content:"";
  width:20px;
  height:20px;
  border-radius:50%;
  background:rgba(0,255,0,0.6);
  position:absolute;
}

@media(max-width:700px){

  #board{
    width:95vw;
    height:95vw;
  }

  .square{
    width:100%;
    height:100%;
    font-size:8vw;
  }

}